package ExtUtils::CBuilder::Platform::linux;

use strict;
use ExtUtils::CBuilder::Platform::Unix;
use File::Spec;

use vars qw($VERSION @ISA);
$VERSION = '0.280206';
@ISA = qw(ExtUtils::CBuilder::Platform::Unix);

sub link {
  my ($self, %args) = @_;

  # Link XS modules to libperl.so explicitly because multiple
  # dlopen(, RTLD_LOCAL) hides libperl symbols from XS module.
  $args{extra_linker_flags} = [
    '-lperl',
    $self->split_like_shell($args{extra_linker_flags})
  ];

  return $self->SUPER::link(%args);
}

1;
